Funds

Holdings

Retrieve the holdings of the given fund portfolio

Parameters
fund_id string Required

The ID of the fund to retrieve holdings for.

page number

The page number to retrieve.

Defaults to 1.

page_size number

The number of items per page.

If specified, must be between 1 and 10000 inclusive.

Defaults to 100.

sort_by string

The field to sort the results by.

One of portfolio_weight

Defaults to portfolio_weight.

sort_dir string

The order to sort the results by.

One of asc, desc.

Defaults to desc.

year integer

The year of the reporting period to retrieve holding details for. Requires quarter to be provided, and will be ignored if it is not provided.

If specified, must be between 2013 and the current year inclusive.

Defaults to the latest finalized reporting year.

quarter integer

The quarter of the reporting period to retrieve holding details for. Requires year to be provided, and will be ignored if it is not provided.

If specified, must be between 1 and 4 inclusive.

Defaults to the latest finalized reporting quarter.

GET /v1/funds-portfolios/:fund_id/holdings
Response
{
  "page": 1,
  "page_size": 100,
  "has_more_pages": true,
  "reporting_year": 2025,
  "reporting_quarter": 1,
  "holdings": [
    {
      "stock": {
        "id": "bqjlgb",
        "ticker": "AAPL",
        "name": "Apple",
        "active": true
      },
      "market_value": 66639000000,
      "status": "maintained",
      "portfolio_weight": 25.76,
      "shares": 300000000,
      "shares_last": 300000000,
      "shares_change": 0,
      "shares_change_percent": 0,
      "capital_flow": 0
    },
    {
      "stock": {
        "id": "fgqdru",
        "ticker": "OXY",
        "name": "Occidental Petroleum",
        "active": true
      },
      "market_value": 13077509034,
      "status": "increased",
      "portfolio_weight": 5.06,
      "shares": 264941431,
      "shares_last": 264178414,
      "shares_change": 763017,
      "shares_change_percent": 0.29,
      "capital_flow": 37662519
    },
    {
      "stock": {
        "id": "wtr1sn",
        "ticker": "C",
        "name": "Citigroup",
        "active": true
      },
      "market_value": 0,
      "status": "closed",
      "portfolio_weight": 0,
      "shares": 0,
      "shares_last": 14639502,
      "shares_change": -14639502,
      "shares_change_percent": -100,
      "capital_flow": -1030474546
    }
  ]
}